Archive verification
Get a proof-gated history archive repair plan
Path Parameters
encodedUrl*string
URL of the history archive, URL encoded
Format
uriQuery Parameters
limit?integer
Maximum number of repair actions to return.
Range
1 <= value <= 50Default
25Response Body
application/json
curl -X GET "https://example.com/v1/archive-scans/http://example.com/repair-plan"{ "actionCount": 0, "actions": [ { "actionId": "string", "bucketHash": "string", "checkpointEvidence": [ {} ], "checkpointLedger": 0, "evidence": [ {} ], "kind": "restore-history-archive-state", "knownGoodSources": [ { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "objectUrl": "http://example.com", "proof": { "anchor": { "kind": "content-addressed-bucket", "sourceCount": 1 }, "candidateObjectRemoteId": "string", "checkpointLedger": 0, "contentHash": { "algorithm": "sha256", "digest": "string", "representation": "canonical-json" }, "evaluatedAt": "2019-08-24T14:15:22Z", "kind": "strict-checkpoint", "proofId": "string", "proofVersion": 1 }, "verifiedAt": "2019-08-24T14:15:22Z" } ], "reason": "string", "repairArtifact": { "artifactType": "bucket", "byteLength": 1, "contentHash": { "algorithm": "sha256", "digest": "string", "representation": "uncompressed-xdr" }, "downloadUrl": "string", "mediaType": "application/gzip", "objectIdentity": "string", "provenAt": "2019-08-24T14:15:22Z", "status": "available" }, "repairManifest": { "actionId": "string", "evidence": {}, "generatedAt": "2019-08-24T14:15:22Z", "recheck": { "endpoint": "string", "minimumEvidenceUpdatedAt": "2019-08-24T14:15:22Z", "resolutionCondition": "same-object-verified-after-original-evidence", "targetRemoteId": "e3dbe4dd-97b7-476d-8e72-56177184ffcf" }, "replacement": { "artifact": { "artifactType": "bucket", "byteLength": 1, "contentHash": { "algorithm": "sha256", "digest": "string", "representation": "uncompressed-xdr" }, "downloadUrl": "string", "mediaType": "application/gzip", "objectIdentity": "string", "provenAt": "2019-08-24T14:15:22Z", "status": "available" }, "source": { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "objectUrl": "http://example.com", "proof": { "anchor": { "kind": "content-addressed-bucket", "sourceCount": 1 }, "candidateObjectRemoteId": "string", "checkpointLedger": 0, "contentHash": { "algorithm": "sha256", "digest": "string", "representation": "canonical-json" }, "evaluatedAt": "2019-08-24T14:15:22Z", "kind": "strict-checkpoint", "proofId": "string", "proofVersion": 1 }, "verifiedAt": "2019-08-24T14:15:22Z" } }, "schemaVersion": 1, "status": "ready", "steps": [ { "backupSuffix": "string", "kind": "backup-current-file", "order": 1, "required": true } ], "target": { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "bucketHash": "string", "checkpointLedger": 0, "objectKey": "string", "objectType": "history-archive-state", "objectUrl": "http://example.com", "operatorTargetPathRequired": true } }, "severity": "error", "summary": "string" } ], "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "generatedAt": "2019-08-24T14:15:22Z", "infrastructureBlocks": [ {} ], "limit": 1, "summary": { "activeObjectChecks": 0, "failedCheckpointProofs": 0, "failedObjectChecks": 0, "pendingObjectChecks": 0, "verifiedObjectChecks": 0 }}